Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1058491 - [RFE][neutron]: Neutron agent for importing existing port groups for vcenter
Summary: [RFE][neutron]: Neutron agent for importing existing port groups for vcenter
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: RFEs
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact:
URL: https://blueprints.launchpad.net/neut...
Whiteboard: upstream_milestone_none upstream_stat...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-27 21:49 UTC by RHOS Integration
Modified: 2015-11-20 19:33 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-19 17:37:56 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description RHOS Integration 2014-01-27 21:49:16 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/neutron/+spec/vcenter-neutron-agent.

Description:

Within existing vmware driver, with non-NSX plugin, it only have very limited function for Vlan network, it only support one port group and require user manually configured in vcenter. And have it configured within the nova.conf (Integration_bridge). 

It is good to allow openstack vmware users to deploy VM to certain standard virtual port group or distributed virtual port group under Cluster level.  

For this bp, it will cover: 
1) Sync/Import existing port groups from vcenter(cluster level) and convert it to openstack network object.
2) Allow nova to deploy VM to these network which map to the network.

Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.